Bug 844325 - Review Request: python-rpi-gpio - Class to control the GPIO on a Raspberry Pi
Review Request: python-rpi-gpio - Class to control the GPIO on a Raspberry Pi
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 06:03 EDT by kushaldas@gmail.com
Modified: 2013-02-21 22:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 22:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2012-07-30 06:03:46 EDT
Spec URL: http://kushal.fedorapeople.org/packages/python-rpi-gpio.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-rpi-gpio-0.3.1a-1.fc17.src.rpm
Description: Python library for GPIO access on a Raspberry Pi

Fedora Account System Username: kushal
Comment 1 Parag AN(पराग) 2012-07-31 05:10:51 EDT
Review:-

+ mock build for f17 is successful.

+ rpmlint on rpms gave
python-rpi-gpio.src: I: checking
python-rpi-gpio.src: I: checking-url http://code.google.com/p/raspberry-gpio-python/ (timeout 10 seconds)
python-rpi-gpio.src: I: checking-url http://pypi.python.org/packages/source/R/RPi.GPIO/RPi.GPIO-0.3.1a.tar.gz (timeout 10 seconds)
python-rpi-gpio.x86_64: I: checking
python-rpi-gpio.x86_64: I: checking-url http://code.google.com/p/raspberry-gpio-python/ (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha1sum)
f1aa44f1c8bd602b203a08057879950a89afdef7  RPi.GPIO-0.3.1a.tar.gz
f1aa44f1c8bd602b203a08057879950a89afdef7  ../SOURCES/RPi.GPIO-0.3.1a.tar.gz

+ License is MIT.

suggestions:
1) Replace %define with %global

2) If package is only for Fedora then you can remove buildroot, cleaning of buildroot in %install, %clean section and defattr(-,root,root,-)

3) following comment does not makes any sense as there is no reference patch/source associated with it.
#Updated address, patch sent to the upstream on 15/05/2012


APPROVED.
Comment 2 kushaldas@gmail.com 2012-08-03 02:31:23 EDT
New Package SCM Request
=======================
Package Name: python-rpi-gpio
Short Description: Python module to control the GPIO on a Raspberry Pi 
Owners: kushal
Branches: f17
InitialCC: kushal
Comment 3 Gwyn Ciesla 2012-08-03 16:00:13 EDT
Git done (by process-git-requests).
Comment 4 Parag AN(पराग) 2012-12-11 00:07:05 EST
is this built on koji?
Comment 5 Kushal Das 2013-02-21 22:54:52 EST
Yes, bodhi never updated the bug it seems.

Note You need to log in before you can comment on or make changes to this bug.